# Method: apps.search

- [HTTP request](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.request_body)
- [Response body](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.response_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.SearchAccessibleAppsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#body.aspect)

Searches for Apps accessible by the user.

### HTTP request

`GET https://playdeveloperreporting.googleapis.com/v1beta1/apps:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of apps to return. The service may return fewer than this value. If unspecified, at most 50 apps will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `apps.search` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `apps.search` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps/search#google.play.developer.reporting.v1beta1.ReportingService.SearchAccessibleApps`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "apps": [ { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps#App`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `apps[]` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1beta1/apps#App`)`` The apps accessible to the user calling the endpoint. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/playdeveloperreporting`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).